Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets.jsp
Class JspException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.jsp.JspException
                  com.bea.p13n.servlets.jsp.JspException

All Implemented Interfaces
  Serializable

    public class JspException

extends javax.servlet.jsp.JspException

An exception class that can print the embedded exception as well. This class extends `javax.servlet.jsp.JspException` and provides an extra constructor that takes embedded exception.

See Also
  Serialized Form

Constructor Summary
`JspException()` The default constructor.
`JspException(String message)` Constructs `JspException` by associating with the given message.
`JspException(String message, Throwable nestedException)` Constructs `JspException` by associating with the given nested exception and a string message.
`JspException(Throwable nestedException)` Constructs `JspException` by associating with the given nested exception.

Method Summary
`void` | `printStackTrace()` Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.
`void` | `printStackTrace(PrintStream out)` Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.
`void` | `printStackTrace(PrintWriter out)` Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.

Methods inherited from class javax.servlet.jsp.JspException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JspException

    public JspException()

  The default constructor.

### JspException

    public JspException(String message)

  Constructs `JspException` by associating with the given message.

  Parameters
    `nestedException` - The nested exception.

### JspException

    public JspException(Throwable nestedException)

  Constructs `JspException` by associating with the given nested exception.

  Parameters
    `nestedException` - The nested exception.

### JspException

    public JspException(String message,
                        Throwable nestedException)

  Constructs `JspException` by associating with the given nested exception and a string message.

  Parameters
    `message` - The additional information passed as a string.
    `nestedException` - The nested exception.

Method Detail

### printStackTrace

    public void printStackTrace(PrintStream out)

  Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters
    `out` - PrintStream used to output the stack trace

### printStackTrace

    public void printStackTrace(PrintWriter out)

  Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters
    `out` - PrintWriter used to output the stack trace

### printStackTrace

    public void printStackTrace()

  Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved